import resolve from 'rollup-plugin-node-resolve';
import babel from 'rollup-plugin-babel';
import commonjs from 'rollup-plugin-commonjs';

export default {
  input: 'src/lib/index.js',
  output: {
    dir: 'dist',
    file: 'index.js',
    name: 'muiDatePicker',
    format: 'cjs',
  },
  external: [
    'react',
    '@material-ui/core',
    '@material-ui/icons',
  ],
  plugins: [
    resolve({ extensions: ['.jsx', '.js'] }),
    commonjs({
      namedExports: {
        'node_modules/react/index.js': ['PureComponent'],
        'node_modules/@material-ui/core/styles/index.js': ['createGenerateClassName', 'createMuiTheme', 'createStyles', 'jssPreset', 'MuiThemeProvider', 'withStyles', 'withTheme'],
      },
    }),
    babel({
      exclude: 'node_modules/**'
    }),
  ],
};
